NoPluginPlus 1.2.0

Protect your server from spies

  1. ChikenGamer
    Contributors:
    libraryaddict, sgtcaze
    == Description ==

    NoPluginPlus protects your server from copiers. Users will not be able to figure out your server plugins and through commands or [TAB].

    ==Features==

    • Blocks / [TAB]
    • Blocks /ver [TAB]
    • Blocks /help
    • Blocks /version [TAB]
    • Blocks /about [TAB]
    • Blocks /bukkit:?
    • Blocks /bukkit:help
    • Blocks /pl and /plugins
    • Blocks /about
    • Blocks /version and /ver
    • Blocks /?
    • Commands
    • Permissions
    • In the config.yml you can customize the messages (chat format supported!)

    == Commands ==
    • ► /NoPlugin + help, version, reload.
    • ► /NoPl + help, version, reload.

    == Permissions ==

    • NoPlugin.bypass - bypass to see the plugins, version, about, ?, help.
    • NoPlugin.commands - To use the commands
    == Config ==
    PHP:
    #=======================================
    # NoPluginPlus v1.2.0 by ChikenGamer
    #            Thanks to:
    #      libraryaddict & sgtcaze
    #       For the original code.  
    #=======================================
    # Usage:
    # &a-f/0-9 - Replaces with color codes
    #=======================================
    # You can choose to disable command protection here:
    Plugin_Block: true
    Help_Block: true
    Version_Block: true
    Help_Block: true
    About_Block: true
    Question_Block: true
    # You can change the messages here:
    No_Access_Plugins: '%player &c&lYou do not have access to see the plugins'
    No_Access_Version: '%player &c&lYou do not have access to see the version'
    No_Access_Help: '%player &c&lYou do not have access to see the help'
    No_Access_About: '%player &c&lYou do not have access to see about...'
    No_Access_Question: '%player &c&lYou do not have access to question mark'
    Noperm: '&c&lYou do not have permission to use this super plugin'
    Prefix: '&6&l[&4&lNoPluginPlus&6&l]'
    == Requirements ==

    This plugin requires
    ProtocolLib 3.6.3+.

    == TO-DO ==
    • ✔ - Fix the commands.
    • ✔ - Option to edit the messages
    • ✘ - Make a video tutorial
    • ✘ - Add more permissions
    • ✘ - More options
    • ✘ - Add BungeeCord support
    • ? - None
    Terms and conditions:
    • You may not decompile this plugin or edit the source code.
    • You may not claim this as your own work.
    • You may not resell this plugin for money.
    • You may not decompile this plugin or edit the source code.
    • You may not claim this as your own work.
    • You may not resell this plugin for money.

    Give me some love!
    [​IMG]

Recent Reviews

  1. JBS
    JBS
    5/5,
    Version: 1.2.0
    Works perfect! BungeeCord support should be nice.
    1. ChikenGamer
      Author's Response
      exactly, thanks
  2. AdvancedWarfare
    AdvancedWarfare
    5/5,
    Version: 1.2.0
    Good plugin but needs BungeeCord support :)
    1. ChikenGamer
      Author's Response
      Yeah! Great Idea!